Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01857 Flip Screen/Cocktail Minor Always Jun 1, 2008, 05:21 Dec 17, 2017, 17:52
Tester user303 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver segas16a.cpp
Version 0.125u3 Fixed in Version Build Normal
Summary 01857: afighter: 2nd players graphics not correct in cocktail mode
Description change from upright to cocktail and start a 2 player game and on the 2nd persons go the graphics are not correct
Steps To Reproduce change from upright to cocktail
start a 2 player game
Additional Information
Regression Version
Affected Sets / Systems afighter
Attached Files
png file icon 0000.png (12,558 bytes) Jun 1, 2008, 05:21
duplicate of 00002Resolved exctleag, suprleag: The screen gets shifted or garbled when taking to the field. 
User avatar
Senior Tester
Jun 1, 2008, 08:06
flipscreen is broken in the system16 drivers, and has been since they were added. this is a more general bug than just 'afighter', and is actually the cause of the major glitches in excite league / super league because they're both designed to use flipscreen during normal gameplay.
User avatar
Dec 16, 2017, 18:54
Fixed in 0.167 (not sure by whom).
User avatar
Senior Tester
Dec 17, 2017, 17:52
edited on: Dec 17, 2017, 17:52
I seem to recall I did some work on the flipscreen support around then for another game (SDI, which runs half the game in flipscreen mode) so probably I fixed it.